=begin
Copyright 2020, Majid Mahmoudi
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Majid Mahmoudi
Organization - Distributed to the Extension Warehouse
Name - MAJ Column
SU Version - 20.1.235

Description
This plugin will create architectural columns.

Usage
Architectural.

History
0.0.1:: 2020-12-12
   * Original release.  I'm expecting some bugs and feedback.
0.0.2:: 2021-01-06
   * Adding column information on side of the column. Saving column data as default.
   * Solving Width and length ratio. Showing column material information.
   * Adding column view.
1.0.1:: 2021-04-03
   * Use component instance for stirrups
   * Change tags of column components
1.0.5:: 2021-05-21
   * Status Bar always helps users.
   * plugin tested in MAC carefully.
=end


module MajidMahmoudi

  module MajColumn            #EDIT
    require 'sketchup.rb'
    require 'extensions.rb'
    NAME = "MAJ_Column"        #EDIT
    UNAME = "MAJ Column"       #EDIT
    MENU_NAME = "Column Maker"       #EDIT
    version = "1.0.5"           #EDIT
    desc = "This plugin will make columns with rebars and stirrups."
    copy_year = "2020"
    author = "Majid Mahmoudi"

#------edit above---------------------------------------------------------------


    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_Data"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year

    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )

  end
end
